apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: inbiz-frontend
  name: inbiz-frontend
  namespace: edoc2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: inbiz-frontend
  template:
    metadata:
      labels:
        app: inbiz-frontend
    spec:
      hostname: inbiz-frontend
      containers:
      - image: registry.edoc2.com:5000/edoc2v5/inbiz-frontend:edrms-v6.3.1.0-arm
        imagePullPolicy: IfNotPresent
        name: inbiz-frontend
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: inbiz-envfile
        ports:
        - name: frontend-80
          containerPort: 80
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive

---

apiVersion: v1
kind: Service
metadata:
  labels:
    app: inbiz-frontend
  name: inbiz-frontend
  namespace: edoc2
spec:
  ports:
  - name: frontend-80
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: inbiz-frontend
  type: ClusterIP
